variables:
  natures: []

  cudagen: ${next-value|Auto}

  global.marchflag: ${next-value|-march=${global.march|core2}}

  c*flags: ${global.marchflag} -O${global.O|2} ${global.debug| } ${global.instructions| }
  cflags: ${next-value|${c*flags}}
  cxxflags: ${next-value|${c*flags}}
  ldflags: ${next-value|-L${toolkit.dir}/lib -Wl,-rpath,${toolkit.dir}/lib}

  cmake.build-type: ${next-value|RelWithDebInfo}

  # dependency-install-dir is the directory is which /installed/
  # upstream build results should be available. In CI modes, this
  # directory is populated with downloaded upstream artifacts. In
  # toolkit-like modes, this directory corresponds to toolkit.dir.
  shell.environment: ${shell.environment:${mode}|${shell.environment:default}}
  shell.environment:default:
  - PKG_CONFIG_PATH="${dependency-install-dir}/lib/pkgconfig:\${PKG_CONFIG_PATH}"
  - CMAKE_PREFIX_PATH="${dependency-install-dir}:\${CMAKE_PREFIX_PATH}"
  - PATH="${dependency-install-dir}/bin:\${PATH}"
  - CFLAGS="${cflags} \${CFLAGS}"
  - CXXFLAGS="${cxxflags} \${CXXFLAGS}"
  - CPPFLAGS="${cxxflags} \${CPPFLAGS}"
  - LDFLAGS="${ldflags} \${LDFLAGS}"
  - '@{next-value|[]}'

  setup.build.environment:win32: |
    set PWD=%cd%
    call C:\"Program Files (x86)"\"Microsoft Visual C++ Build Tools"\vcbuildtools.bat amd64
    cd /d %PWD%
